// helper class for generated class test, version 0.01

import java.awt.*;
import javax.swing.*;

public abstract class Demo1App extends JApplet {		

// These methods are always defined by the SpecJava generated class
abstract String[] getNames();
abstract Object[] getWidgets();


// this gets called after the GUI init method
public void init() {
	System.out.println("My init");
}


// Define any methods here that will be called by the GUI actions

public void my_action(String s) {
	System.out.println("my action: " + s);
}
}
